#include <stdio.h>
#include "ansi_to_ascii.h"

/*
Nao sabemos quem criou esse codigo, se souber,
avise que colocamos os devidos creditos
*/

//valor int original do caracter lido
//valor em windows-1252
#define D_A_ACUTE 193
#define D_E_ACUTE 201
#define D_I_ACUTE 205
#define D_O_ACUTE 211
#define D_U_ACUTE 218
#define D_a_ACUTE 225
#define D_e_ACUTE 233
#define D_i_ACUTE 237
#define D_o_ACUTE 243
#define D_u_ACUTE  250

#define D_A_CIRC 194
#define D_E_CIRC 202
#define D_O_CIRC 212
#define D_a_CIRC 226
#define D_e_CIRC 234
#define D_o_CIRC 244

#define D_A_GRAVE 192
#define D_a_GRAVE 224

#define D_A_TILDE 195
#define D_O_TILDE 213
#define D_N_TILDE 209
#define D_a_TILDE 227
#define D_o_TILDE 245
#define D_n_TILDE 241

// trema
#define D_U_UML 220
#define D_u_UML 252

#define D_C_CEDIL 199
#define D_c_CEDIL 231

//valor em cp850
#define R_A_ACUTE 181
#define R_E_ACUTE 144
#define R_I_ACUTE 214
#define R_O_ACUTE 224
#define R_U_ACUTE 233
#define R_a_ACUTE 160
#define R_e_ACUTE 130
#define R_i_ACUTE 161
#define R_o_ACUTE 162
#define R_u_ACUTE 163

#define R_A_CIRC 182
#define R_E_CIRC 210
#define R_O_CIRC 226
#define R_a_CIRC 131
#define R_e_CIRC 136
#define R_o_CIRC 147
// grave
#define R_A_GRAVE 183
#define R_a_GRAVE 133

#define R_A_TILDE 199
#define R_O_TILDE 229
#define R_N_TILDE 165
#define R_a_TILDE 198
#define R_o_TILDE 228
#define R_n_TILDE 164
// trema
#define R_U_UML 154
#define R_u_UML 129

#define R_C_CEDIL 128
#define R_c_CEDIL 135


unsigned char ansi_to_ascii(unsigned char c)
{
    switch (c)
    {
    case D_A_ACUTE:
        return R_A_ACUTE;
    case D_E_ACUTE:
        return R_E_ACUTE;
    case D_I_ACUTE:
        return R_I_ACUTE;
    case D_O_ACUTE:
        return R_O_ACUTE;
    case D_U_ACUTE:
        return R_U_ACUTE;
    case D_a_ACUTE:
        return R_a_ACUTE;
    case D_e_ACUTE:
        return R_e_ACUTE;
    case D_i_ACUTE:
        return R_i_ACUTE;
    case D_o_ACUTE:
        return R_o_ACUTE;
    case D_u_ACUTE:
        return R_u_ACUTE;
    case D_A_CIRC:
        return R_A_CIRC;
    case D_E_CIRC:
        return R_E_CIRC;
    case D_O_CIRC:
        return R_O_CIRC;
    case D_a_CIRC:
        return R_a_CIRC;
    case D_e_CIRC:
        return R_e_CIRC;
    case D_o_CIRC:
        return R_o_CIRC;
    case D_A_GRAVE:
        return R_A_GRAVE;
    case D_a_GRAVE:
        return R_a_GRAVE;
    case D_A_TILDE:
        return R_A_TILDE;
    case D_O_TILDE:
        return R_O_TILDE;
    case D_N_TILDE:
        return R_N_TILDE;
    case D_a_TILDE:
        return R_a_TILDE;
    case D_o_TILDE:
        return R_o_TILDE;
    case D_n_TILDE:
        return R_n_TILDE;
    case D_U_UML:
        return R_U_UML;
    case D_u_UML:
        return R_u_UML;
    case D_C_CEDIL:
        return R_C_CEDIL;
    case D_c_CEDIL:
        return R_c_CEDIL;
    default:
        return c;
    }
}
