#ifndef TAD_ERROS_H_INCLUDED
#define TAD_ERROS_H_INCLUDED

#include "tad_palavra.h"

/*
Definimos a estrutura que armazena os erros como uma LSE pela
possibilidade de ordenacao dos dados e pela simplicidade de sua
estrutura
*/
typedef struct TipoErro PtErro;
struct TipoErro
{
    TipoPalavra palavra[MAX];
    int freq;
    PtErro *prox;
};

PtErro* cria_lista(void);
PtErro* insere_ord (PtErro *l, TipoPalavra p[]);
void imprime(PtErro* l);
PtErro* destroi(PtErro* l);
void imprime_k(PtErro* l, int k);
PtErro* ord(PtErro* l,PtErro* novo);
PtErro* remover(PtErro* l, TipoPalavra pal[]);


#endif // TAD_ERROS_H_INCLUDED
