#ifndef TAD_TEXTO_H_INCLUDED
#define TAD_TEXTO_H_INCLUDED

#include "tad_palavra.h"

/*
Um TipoTexto eh uma PILHA que armazena as palavras do texto,
uma em cada elo
*/
typedef struct TipoTexto PtTexto;
struct TipoTexto{
    TipoPalavra palavra[MAX];
    struct TipoTexto *elo;
};

PtTexto* incializa_texto(void);
int vazia(PtTexto *topo);
PtTexto* ler_texto(PtTexto* t,char tex[]);
void imprime_texto(PtTexto *topo);
PtTexto* push_texto(PtTexto *topo, TipoPalavra dado[]);
int pop_texto(PtTexto **topo, TipoPalavra dado[]);
PtTexto* destroi_texto(PtTexto *topo);

#endif // TAD_TEXTO_H_INCLUDED
